## open-roms 0.0~git20210824.e4e324c

=== Makefile ===

# Test files

TESTDISK = testsuite/testdisk.d64
TESTTAPE = testsuite/testtape-c64-pal-turbo.tap

# Source files

SRCDIR_COMMON  = src/aliases

SRCDIR_BASIC   = $(SRCDIR_COMMON) \
                 src/basic \
                 src/basic/,stubs \
                 src/basic/,stubs_math \
                 src/basic/assets \
                 src/basic/basic_commands \
                 src/basic/basic_commands_01 \
                 src/basic/basic_commands_04 \
                 src/basic/basic_operators \
                 src/basic/basic_functions \
                 src/basic/basic_functions_06 \
                 src/basic/board_crt \
                 src/basic/board_m65 \
                 src/basic/board_u64 \
                 src/basic/board_x16 \
                 src/basic/engine_editor \
                 src/basic/engine_runtime \
                 src/basic/engine_variables \
                 src/basic/init \
                 src/basic/math \
                 src/basic/math_consts \
                 src/basic/math_mov \
                 src/basic/memory \
                 src/basic/print \
                 src/basic/rom_revision \
                 src/basic/wedge

SRCDIR_KERNAL  = $(SRCDIR_COMMON) \
                 src/kernal \
                 src/kernal/,stubs \
                 src/kernal/assets \
                 src/kernal/board_crt \
                 src/kernal/board_m65 \
                 src/kernal/board_u64 \
                 src/kernal/board_x16 \
                 src/kernal/iec \
                 src/kernal/iec_fast \
                 src/kernal/init \
                 src/kernal/interrupts \
                 src/kernal/iostack \
                 src/kernal/jumptable \
                 src/kernal/jumptable_m65 \
                 src/kernal/keyboard \
                 src/kernal/keyboard_m65 \
                 src/kernal/memory \
                 src/kernal/print \
                 src/kernal/rom_revision \
                 src/kernal/rs232 \
                 src/kernal/screen \
                 src/kernal/screen_m65 \
                 src/kernal/tape \
                 src/kernal/time

SRCDIR_DOS_M65 = $(SRCDIR_COMMON) \
                 src/dos_m65 \
                 src/dos_m65/assets \
                 src/dos_m65/filesystem_cbm \
                 src/dos_m65/filesystem_vfs \
                 src/dos_m65/lowlevel \
                 src/dos_m65/pseudoiec \
                 src/dos_m65/unit_card \
                 src/dos_m65/unit_disk \
                 src/dos_m65/unit_ramdisk \
                 src/dos_m65/utils

SRCDIR_MON_M65 = $(SRCDIR_COMMON) \
                 src/mon_m65

SRCDIR_ZVM_M65 = $(SRCDIR_COMMON) \
                 src/zvm_m65

SRC_BASIC      = $(foreach dir,$(SRCDIR_BASIC),$(wildcard $(dir)/*.s))
SRC_KERNAL     = $(foreach dir,$(SRCDIR_KERNAL),$(wildcard $(dir)/*.s))
SRC_DOS_M65    = $(foreach dir,$(SRCDIR_DOS_M65),$(wildcard $(dir)/*.s))
SRC_MON_M65    = $(foreach dir,$(SRCDIR_MON_M65),$(wildcard $(dir)/*.s))
SRC_ZVM_M65    = $(foreach dir,$(SRCDIR_ZVM_M65),$(wildcard $(dir)/*.s))
SRC_TOOLS      = $(wildcard tools/*.c,tools/*.cc)

DIR_ACME       = 3rdparty/acme/src
HDR_ACME       = $(filter-out $(wildcard $(DIR_ACME)/_*.h),$(wildcard $(DIR_ACME)/*.h))
SRC_ACME       = $(DIR_ACME)/acme.c $(DIR_ACME)/platform.c $(DIR_ACME)/alu.c $(DIR_ACME)/typesystem.c \
                 $(DIR_ACME)/cliargs.c $(DIR_ACME)/global.c $(DIR_ACME)/output.c $(DIR_ACME)/flow.c \
                 $(DIR_ACME)/macro.c $(DIR_ACME)/cpu.c $(DIR_ACME)/encoding.c $(DIR_ACME)/pseudoopcodes.c \
                 $(DIR_ACME)/dynabuf.c $(DIR_ACME)/mnemo.c $(DIR_ACME)/input.c $(DIR_ACME)/section.c \
                 $(DIR_ACME)/symbol.c $(DIR_ACME)/tree.c

CRT_BIN_LIST   = assets/cartridge/header-cart.bin \
                 assets/cartridge/header-seg0.bin \
                 assets/cartridge/header-seg1.bin \
                 assets/cartridge/header-seg2.bin \
                 assets/cartridge/header-seg3.bin

ROM_CBM_BASIC  = 3rdparty/ROMs/basic
ROM_CBM_KERNAL = 3rdparty/ROMs/kernal

# Generated files

GEN_BASIC      = build/,generated/,float_constants.s
GEN_KERNAL     =
GEN_ZVM        = build/,generated/,z80_tables.s

# Z80 part

DIR_ZMAC       = 3rdparty/zmac/src
DIR_ZMAC_TMP   = build/,tmp_zmac
HDR_ZMAC       = $(filter-out $(wildcard $(DIR_ZMAC)/_*.h),$(wildcard $(DIR_ZMAC)/*.h))
SRC_ZMAC       = $(DIR_ZMAC)/mio.c $(DIR_ZMAC)/doc.c $(DIR_ZMAC)/zi80dis.cpp
SRC_Z80TEST    = 3rdparty/z80exer/cpm/zexdoc.src

GEN_ZMAC_C     = $(DIR_ZMAC_TMP)/zmac.c
GEN_ZMAC_H     = $(DIR_ZMAC_TMP)/doc.inl

# List of build directories

DIR_CUS        = build/target_custom
DIR_GEN        = build/target_generic
DIR_GENCRT     = build/target_generic_crt
DIR_TST        = build/target_testing
DIR_M65        = build/target_mega65
DIR_U64        = build/target_ultimate64
DIR_U64CRT     = build/target_ultimate64_crt
DIR_X16        = build/target_cx16

# List of config files

CFG_CUS        = src/,,config_custom.s 
CFG_GEN        = src/,,config_generic.s
CFG_GENCRT     = src/,,config_generic_crt.s
CFG_TST        = src/,,config_testing.s
CFG_M65        = src/,,config_mega65.s
CFG_U64        = src/,,config_ultimate64.s
CFG_X16        = src/,,config_cx16.s
CFG_U64CRT     = src/,,config_ultimate64_crt.s

# List of files with generated strings

GEN_STR_CUS    = $(DIR_CUS)/,generated/,packed_strings.s
GEN_STR_GEN    = $(DIR_GEN)/,generated/,packed_strings.s
GEN_STR_GENCRT = $(DIR_GENCRT)/,generated/,packed_strings.s
GEN_STR_TST    = $(DIR_TST)/,generated/,packed_strings.s
GEN_STR_M65    = $(DIR_M65)/,generated/,packed_strings.s
GEN_STR_U64    = $(DIR_U64)/,generated/,packed_strings.s
GEN_STR_U64CRT = $(DIR_U64CRT)/,generated/,packed_strings.s
GEN_STR_X16    = $(DIR_X16)/,generated/,packed_strings.s

# Dependencies - helper variables

DEP_BASIC      = $(SRC_BASIC)   $(SRCDIR_BASIC)   $(GEN_BASIC)
DEP_KERNAL     = $(SRC_KERNAL)  $(SRCDIR_KERNAL)  $(GEN_KERNAL)
DEP_DOS_M65    = $(SRC_DOS_M65) $(SRCDIR_DOS_M65)
DEP_MON_M65    = $(SRC_MON_M65) $(SRCDIR_MON_M65)
DEP_ZVM_M65    = $(SRC_ZVM_M65) $(SRCDIR_ZVM_M65) $(GEN_ZVM)

# List of tools

TOOL_GENERATE_CONSTANTS  = build/tools/generate_constants
TOOL_GENERATE_STRINGS    = build/tools/generate_strings
TOOL_GENERATE_Z80_TABLES = build/tools/generate_z80_tables
TOOL_PATCH_CHARGEN       = build/tools/patch_chargen
TOOL_PNGPREPARE          = build/tools/pngprepare
TOOL_BUILD_SEGMENT       = build/tools/build_segment
TOOL_RELEASE             = build/tools/release
TOOL_SIMILARITY          = build/tools/similarity
TOOL_ASSEMBLER           = build/tools/acme
TOOL_ASSEMBLER_Z80       = build/tools/zmac

TOOLS_LIST = $(TOOL_GENERATE_CONSTANTS) \
             $(TOOL_GENERATE_STRINGS) \
             $(TOOL_GENERATE_Z80_TABLES) \
             $(TOOL_PATCH_CHARGEN) \
             $(TOOL_PNGPREPARE) \
             $(TOOL_BUILD_SEGMENT) \
             $(TOOL_RELEASE) \
             $(TOOL_SIMILARITY) \
             $(TOOL_ASSEMBLER) \
             $(TOOL_ASSEMBLER_Z80)

# List of targets

TARGET_CHR_ORF     = build/chargen_openroms.rom 
TARGET_CHR_PXL     = build/chargen_pxlfont.rom 

TARGET_CUS_B       = build/basic_custom.rom
TARGET_GEN_B       = build/basic_generic.rom
TARGET_GENCRT_B    = build/basic_generic_crt.rom
TARGET_TST_B       = build/basic_testing.rom
TARGET_U64_B       = build/basic_ultimate64.rom
TARGET_U64CRT_B    = build/basic_ultimate64_crt.rom

TARGET_CUS_K       = build/kernal_custom.rom
TARGET_GEN_K       = build/kernal_generic.rom
TARGET_GENCRT_K    = build/kernal_generic_crt.rom
TARGET_TST_K       = build/kernal_testing.rom
TARGET_U64_K       = build/kernal_ultimate64.rom
TARGET_U64CRT_K    = build/kernal_ultimate64_crt.rom

TARGET_GENCRT_X    = build/extrom_generic_crt.crt 
TARGET_U64CRT_X    = build/extrom_ultimate64_crt.crt 

TARGET_M65_x_ORF   = build/mega65_orfont.rom
TARGET_M65_x_PXL   = build/mega65.rom
TARGET_X16_x       = build/cx16-dummy.rom

TARGET_LIST_CUS    = $(TARGET_CUS_B) $(TARGET_CUS_K)
TARGET_LIST_GEN    = $(TARGET_GEN_B) $(TARGET_GEN_K)
TARGET_LIST_GENCRT = $(TARGET_GENCRT_B) $(TARGET_GENCRT_K) $(TARGET_GENCRT_X)
TARGET_LIST_TST    = $(TARGET_TST_B) $(TARGET_TST_K)
TARGET_LIST_U64    = $(TARGET_U64_B) $(TARGET_U64_K)
TARGET_LIST_U64CRT = $(TARGET_U64CRT_B) $(TARGET_U64CRT_K) $(TARGET_U64CRT_X)

TARGET_Z80TEST     = ./build/cpm/Z80TEST.COM

TARGET_LIST        = $(TARGET_CHR_ORF)     \
                     $(TARGET_LIST_CUS)    \
                     $(TARGET_LIST_GEN)    \
                     $(TARGET_LIST_GENCRT) \
                     $(TARGET_LIST_TST)    \
                     $(TARGET_M65_x_ORF)   \
                     $(TARGET_M65_x_PXL)   \
                     $(TARGET_LIST_U64)    \
                     $(TARGET_LIST_U64CRT) \
                     $(TARGET_X16_x)

SEG_LIST_GENCRT    = $(DIR_GENCRT)/basic.seg_1  \
                     $(DIR_GENCRT)/kernal.seg_1

SEG_LIST_U64CRT    = $(DIR_U64CRT)/basic.seg_1  \
                     $(DIR_U64CRT)/kernal.seg_1

SEG_LIST_M65       = $(DIR_M65)/basic.seg_0  \
                     $(DIR_M65)/basic.seg_1  \
                     $(DIR_M65)/kernal.seg_0 \
                     $(DIR_M65)/kernal.seg_C \
                     $(DIR_M65)/kernal.seg_1 \
                     $(DIR_M65)/dos.seg_1    \
                     $(DIR_M65)/mon.seg_1    \
                     $(DIR_M65)/zvm.seg_1

SEG_LIST_X16       = $(DIR_X16)/basic.seg_0  \
                     $(DIR_X16)/basic.seg_1  \
                     $(DIR_X16)/kernal.seg_0 \
                     $(DIR_X16)/kernal.seg_1

REL_TARGET_LIST    = $(TARGET_LIST_GEN)    \
                     $(TARGET_LIST_GENCRT) \
                     $(TARGET_M65_x_ORF)   \
                     $(TARGET_M65_x_PXL)   \
                     $(TARGET_LIST_U64)

# Misc strings

HYBRID_WARNING = "*** WARNING *** Distributing kernal_hybrid.rom violates both original ROM copyright and Open ROMs license!"

# GIT commit

GIT_COMMIT:= $(shell git log -1 --pretty='%h' | tr '[:lower:]' '[:upper:]')

# Rules - main - XXX building ROMs in parallel sometimes fails - most likely due to rules producing multiple targets

.PHONY: all clean updatebin

all:
	@$(MAKE) -s $(DIR_ACME) $(SRC_ACME)
	@$(MAKE) -s -j`nproc` --output-sync=target $(TOOLS_LIST)
	@$(MAKE) -s --output-sync=target $(TARGET_LIST) $(EXT_TARGET_LIST)

clean:
	@rm -rf build src/basic/combined.s src/kernal/combined.s

updatebin:
	@$(MAKE) -s $(DIR_ACME) $(SRC_ACME)
	@$(MAKE) --output-sync=target $(TARGET_LIST) $(TOOL_RELEASE)
	@$(TOOL_RELEASE) -i ./build -o ./bin $(patsubst build/%,%,$(REL_TARGET_LIST))
	@cp build/chargen_openroms.rom bin/chargen_openroms.rom

# Rules - external blobs

$(ROM_CBM_KERNAL):
	@echo
	@echo Please copy \'kernal\' file from the original ROM set to the \'3rdparty/ROMs\' directory
	@echo
	@exit 1

$(ROM_CBM_BASIC):
	@echo
	@echo Please copy \'basic\' file from the original ROM set to the \'3rdparty/ROMs\' directory
	@echo
	@exit 1

# Rules - tools

$(DIR_ACME) $(SRC_ACME) $(DIR_ZMAC) $(SRC_ZMAC) $(SRC_Z80TEST):
	@echo
	@echo Fetching 3rd party source code...
	@git submodule init
	@git submodule update

$(TOOL_ASSEMBLER): $(DIR_ACME) $(SRC_ACME) $(HDR_ACME)
	@echo
	@echo Compiling tool $@ ...
	@mkdir -p build/tools
	@$(CC) -o $(TOOL_ASSEMBLER) $(SRC_ACME) -lm -w -I./3rdparty/acme/src

$(TOOL_PNGPREPARE): tools/pngprepare.c
	@echo
	@echo Compiling tool $@ ...
	@mkdir -p build/tools
	@$(CC) -O2 -Wall -I/usr/local/include -L/usr/local/lib -o $@ $< -lpng

build/tools/%: tools/%.c
	@echo
	@echo Compiling tool $@ ...
	@mkdir -p build/tools
	@$(CC) -O2 -Wall -o $@ $<

build/tools/%: tools/%.cc tools/common.h
	@echo
	@echo Compiling tool $@ ...
	@mkdir -p build/tools
	@$(CXX) -O2 -Wall -o $@ $<

# Rules - CHARGEN

$(TARGET_CHR_ORF): $(TOOL_PNGPREPARE) assets/8x8font.png
	@$(TOOL_PNGPREPARE) charrom assets/8x8font.png $@ 1>/dev/null

$(TARGET_CHR_PXL): bin/chargen_pxlfont_2.3.rom
	@cp $< $@

build/patched_chargen/openroms.pcg: $(TOOL_PATCH_CHARGEN) $(TARGET_CHR_ORF)
	@mkdir -p build/patched_chargen

=== debian/changelog ===
open-roms (0.0~git20210824.e4e324c-1) unstable; urgency=medium

  * New upstream release.
  * Add upstream metadata.
  * Bump Standards-Version to 4.6.0.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 27 Aug 2021 18:28:59 +0200

open-roms (0.0~git20201206.c33f4af-1) experimental; urgency=medium

  * Initial release. (Closes: #980308)

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 19 Jan 2021 00:25:00 +0100

=== debian/control ===
Source: open-roms
Section: otherosfs
Priority: optional
Maintainer: Reiner Herrmann <reiner@reiner-h.de>
Build-Depends: debhelper-compat (= 13), dh-exec, acme, libpng-dev
Standards-Version: 4.6.0
Homepage: https://github.com/MEGA65/open-roms
Vcs-Browser: https://salsa.debian.org/reiner/open-roms
Vcs-Git: https://salsa.debian.org/reiner/open-roms.git
Rules-Requires-Root: no

Package: open-roms
Architecture: all
Depends: ${misc:Depends}
Description: ROM files for retro computers
 Using emulators for old retro computers (like the Commodore 64) requires
 code and data (kernal, basic, characters sets) that was stored in their
 ROM chips.
 .
 This project contains reverse-engineered fully open-source ROMs that can
 be used with emulators.
 .
 Currently the only supported platform is the C64, but as the code is very
 modular, support for additional platforms might be added in the future.

## open-roms 0.0~git20230727.e41558c

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,8 @@
+
+# Emulator executables
+
+EXEC_X64  = x64sc
+EXEC_X128 = x128
 
 # Test files
 
@@ -187,8 +192,8 @@
 
 # List of targets
 
-TARGET_CHR_ORF     = build/chargen_openroms.rom 
-TARGET_CHR_PXL     = build/chargen_pxlfont.rom 
+TARGET_CHR_ORF     = build/chargen_openroms.rom
+TARGET_CHR_PXL     = build/chargen_pxlfont.rom
 
 TARGET_CUS_B       = build/basic_custom.rom
 TARGET_GEN_B       = build/basic_generic.rom
@@ -204,8 +209,8 @@
 TARGET_U64_K       = build/kernal_ultimate64.rom
 TARGET_U64CRT_K    = build/kernal_ultimate64_crt.rom
 
-TARGET_GENCRT_X    = build/extrom_generic_crt.crt 
-TARGET_U64CRT_X    = build/extrom_ultimate64_crt.crt 
+TARGET_GENCRT_X    = build/extrom_generic_crt.crt
+TARGET_U64CRT_X    = build/extrom_ultimate64_crt.crt
 
 TARGET_M65_x_ORF   = build/mega65_orfont.rom
 TARGET_M65_x_PXL   = build/mega65.rom
@@ -337,5 +342,3 @@
 $(TARGET_CHR_PXL): bin/chargen_pxlfont_2.3.rom
 	@cp $< $@
 
-build/patched_chargen/openroms.pcg: $(TOOL_PATCH_CHARGEN) $(TARGET_CHR_ORF)
-	@mkdir -p build/patched_chargen

=== debian/changelog ===
open-roms (0.0~git20230727.e41558c-1) unstable; urgency=medium

  * New upstream release.
    - Fix build with GCC 13 (Closes: #1042164)
  * Mark package as Multi-Arch: foreign.

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 27 Jul 2023 19:27:51 +0200

open-roms (0.0~git20230311.8fbcf8a-1) unstable; urgency=medium

  * New upstream snapshot.
  * Bump Standards-Version to 4.6.2.
  * Bump copyright years.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 18 Jun 2023 16:26:42 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Reiner Herrmann <reiner@reiner-h.de>
 Build-Depends: debhelper-compat (= 13), dh-exec, acme, libpng-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/MEGA65/open-roms
 Vcs-Browser: https://salsa.debian.org/reiner/open-roms
 Vcs-Git: https://salsa.debian.org/reiner/open-roms.git
@@ -11,6 +11,7 @@
 
 Package: open-roms
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: ROM files for retro computers
  Using emulators for old retro computers (like the Commodore 64) requires

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

ROMS=build/basic_generic.rom build/kernal_generic.rom build/chargen_openroms.rom

%:
	dh $@

override_dh_auto_build:
	ln -sf /usr/bin/acme acme
	dh_auto_build -- TOOL_ASSEMBLER=./acme $(ROMS)

override_dh_auto_test:
	# skip tests as they need to run vice/x64

## open-roms 0.0~git20250319.46ccd6f

=== Makefile ===
--- 
+++ 
@@ -99,6 +99,14 @@
                  $(DIR_ACME)/dynabuf.c $(DIR_ACME)/mnemo.c $(DIR_ACME)/input.c $(DIR_ACME)/section.c \
                  $(DIR_ACME)/symbol.c $(DIR_ACME)/tree.c
 
+HDR_COMMON     = tools/common.h
+SRC_COMMON     = tools/common.cc
+
+DIR_GENSTR     = tools/generate_strings
+HDR_GENSTR     = $(HDR_COMMON) $(DIR_GENSTR)/dataset.h $(DIR_GENSTR)/dictencoder.h $(DIR_GENSTR)/global.h 
+SRC_GENSTR     = $(SRC_COMMON) $(DIR_GENSTR)/dataset.cc $(DIR_GENSTR)/dictencoder.cc $(DIR_GENSTR)/global.cc \
+                 $(DIR_GENSTR)/main.cc
+
 CRT_BIN_LIST   = assets/cartridge/header-cart.bin \
                  assets/cartridge/header-seg0.bin \
                  assets/cartridge/header-seg1.bin \
@@ -130,7 +138,8 @@
 DIR_CUS        = build/target_custom
 DIR_GEN        = build/target_generic
 DIR_GENCRT     = build/target_generic_crt
-DIR_TST        = build/target_testing
+DIR_TST38      = build/target_testing_38K
+DIR_TST60      = build/target_testing_60K
 DIR_M65        = build/target_mega65
 DIR_U64        = build/target_ultimate64
 DIR_U64CRT     = build/target_ultimate64_crt
@@ -141,7 +150,8 @@
 CFG_CUS        = src/,,config_custom.s 
 CFG_GEN        = src/,,config_generic.s
 CFG_GENCRT     = src/,,config_generic_crt.s
-CFG_TST        = src/,,config_testing.s
+CFG_TST38      = src/,,config_testing_38K.s
+CFG_TST60      = src/,,config_testing_60K.s
 CFG_M65        = src/,,config_mega65.s
 CFG_U64        = src/,,config_ultimate64.s
 CFG_X16        = src/,,config_cx16.s
@@ -152,7 +162,8 @@
 GEN_STR_CUS    = $(DIR_CUS)/,generated/,packed_strings.s
 GEN_STR_GEN    = $(DIR_GEN)/,generated/,packed_strings.s
 GEN_STR_GENCRT = $(DIR_GENCRT)/,generated/,packed_strings.s
-GEN_STR_TST    = $(DIR_TST)/,generated/,packed_strings.s
+GEN_STR_TST38  = $(DIR_TST38)/,generated/,packed_strings.s
+GEN_STR_TST60  = $(DIR_TST60)/,generated/,packed_strings.s
 GEN_STR_M65    = $(DIR_M65)/,generated/,packed_strings.s
 GEN_STR_U64    = $(DIR_U64)/,generated/,packed_strings.s
 GEN_STR_U64CRT = $(DIR_U64CRT)/,generated/,packed_strings.s
@@ -198,14 +209,16 @@
 TARGET_CUS_B       = build/basic_custom.rom
 TARGET_GEN_B       = build/basic_generic.rom
 TARGET_GENCRT_B    = build/basic_generic_crt.rom
-TARGET_TST_B       = build/basic_testing.rom
+TARGET_TST38_B     = build/basic_testing_38K.rom
+TARGET_TST60_B     = build/basic_testing_60K.rom
 TARGET_U64_B       = build/basic_ultimate64.rom
 TARGET_U64CRT_B    = build/basic_ultimate64_crt.rom
 
 TARGET_CUS_K       = build/kernal_custom.rom
 TARGET_GEN_K       = build/kernal_generic.rom
 TARGET_GENCRT_K    = build/kernal_generic_crt.rom
-TARGET_TST_K       = build/kernal_testing.rom
+TARGET_TST38_K     = build/kernal_testing_38K.rom
+TARGET_TST60_K     = build/kernal_testing_60K.rom
 TARGET_U64_K       = build/kernal_ultimate64.rom
 TARGET_U64CRT_K    = build/kernal_ultimate64_crt.rom
 
@@ -219,7 +232,8 @@
 TARGET_LIST_CUS    = $(TARGET_CUS_B) $(TARGET_CUS_K)
 TARGET_LIST_GEN    = $(TARGET_GEN_B) $(TARGET_GEN_K)
 TARGET_LIST_GENCRT = $(TARGET_GENCRT_B) $(TARGET_GENCRT_K) $(TARGET_GENCRT_X)
-TARGET_LIST_TST    = $(TARGET_TST_B) $(TARGET_TST_K)
+TARGET_LIST_TST38  = $(TARGET_TST38_B) $(TARGET_TST38_K)
+TARGET_LIST_TST60  = $(TARGET_TST60_B) $(TARGET_TST60_K)
 TARGET_LIST_U64    = $(TARGET_U64_B) $(TARGET_U64_K)
 TARGET_LIST_U64CRT = $(TARGET_U64CRT_B) $(TARGET_U64CRT_K) $(TARGET_U64CRT_X)
 
@@ -229,7 +243,8 @@
                      $(TARGET_LIST_CUS)    \
                      $(TARGET_LIST_GEN)    \
                      $(TARGET_LIST_GENCRT) \
-                     $(TARGET_LIST_TST)    \
+                     $(TARGET_LIST_TST38)  \
+                     $(TARGET_LIST_TST60)  \
                      $(TARGET_M65_x_ORF)   \
                      $(TARGET_M65_x_PXL)   \
                      $(TARGET_LIST_U64)    \
@@ -314,31 +329,3 @@
 	@echo
 	@echo Compiling tool $@ ...
 	@mkdir -p build/tools
-	@$(CC) -o $(TOOL_ASSEMBLER) $(SRC_ACME) -lm -w -I./3rdparty/acme/src
-
-$(TOOL_PNGPREPARE): tools/pngprepare.c
-	@echo
-	@echo Compiling tool $@ ...
-	@mkdir -p build/tools
-	@$(CC) -O2 -Wall -I/usr/local/include -L/usr/local/lib -o $@ $< -lpng
-
-build/tools/%: tools/%.c
-	@echo
-	@echo Compiling tool $@ ...
-	@mkdir -p build/tools
-	@$(CC) -O2 -Wall -o $@ $<
-
-build/tools/%: tools/%.cc tools/common.h
-	@echo
-	@echo Compiling tool $@ ...
-	@mkdir -p build/tools
-	@$(CXX) -O2 -Wall -o $@ $<
-
-# Rules - CHARGEN
-
-$(TARGET_CHR_ORF): $(TOOL_PNGPREPARE) assets/8x8font.png
-	@$(TOOL_PNGPREPARE) charrom assets/8x8font.png $@ 1>/dev/null
-
-$(TARGET_CHR_PXL): bin/chargen_pxlfont_2.3.rom
-	@cp $< $@
-

=== debian/changelog ===
open-roms (0.0~git20250319.46ccd6f-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 22 Mar 2025 15:46:46 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Reiner Herrmann <reiner@reiner-h.de>
 Build-Depends: debhelper-compat (= 13), dh-exec, acme, libpng-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/MEGA65/open-roms
 Vcs-Browser: https://salsa.debian.org/reiner/open-roms
 Vcs-Git: https://salsa.debian.org/reiner/open-roms.git

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/MEGA65/open-roms.git HEAD
